<!DOCTYPE html>
<html>
    <head>
        <title>Beyond Earth - Login</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
		
		<style>
			html,
			body,
			header,
			#intro {
				height: 100%;
			}

			#intro {
				background: url("https://i.pinimg.com/originals/0b/90/96/0b90967fcfac8cbb32a868140c71c760.jpg")no-repeat center center fixed;
				-webkit-background-size: cover;
				-moz-background-size: cover;
				-o-background-size: cover;
				background-size: cover;

			}
			.nav-item:hover {
				background-color:black;
			}
            #login-section{color:azure}
            .input-group{display:flex; justify-content: center;}
		</style>
	</head>
	
	<body>
		<!--Main Navigation-->
		<header>

			<!--Navbar-->
			<nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar">

				<div class="container">

					<!-- Navbar brand -->
					<a class="navbar-brand" href="./launch.html">Launch</a>

					<!-- Collapse button -->
					<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#basicExampleNav"
						aria-controls="basicExampleNav" aria-expanded="false" aria-label="Toggle navigation">
						<span class="navbar-toggler-icon"></span>
					</button>

					<!-- Collapsible content -->
					<div class="collapse navbar-collapse" id="basicExampleNav">

						<!-- Links -->
						<ul class="navbar-nav mr-auto smooth-scroll">
							<li class="nav-item">
								<a class="nav-link" href="./home.html">Home</a>
							</li>
						</ul>
						<!-- Links -->

					</div>
					<!-- Collapsible content -->

				</div>

			</nav>
			<!--/.Navbar-->

			<!--Mask-->
			<div id="intro" class="view">

				<div class="mask rgba-black-strong">

					<div class="container-fluid d-flex align-items-center justify-content-center h-100">

						<div class="row d-flex justify-content-center text-center">

							<div id="login-section">
                                </br></br></br></br></br></br></br></br></br>

								<!-- Description -->
								<h3 class="white-text my-4">Welcome Back, Explorer!</h3>
                                <!-- Divider -->
								<hr class="hr-light">
								<form id="login-form" class="row g-3 needs-validation" novalidate>
                                    <div class="row g-2">
                                        <div class="col-md">
                                          <div class="form-floating">
                                            <input type="username" class="form-control" id="inputUsername" placeholder="Username" required>
                                            <label for="inputUsername" style="color:black;">Username</label>
                                            <div class="valid-feedback">
                                                Looks good!
                                            </div>
                                          </div>
                                        </div>
                                        <div class="col-md">
                                            <div class="form-floating">
                                              <input type="password" class="form-control" id="inputPassword" placeholder="Password" required>
                                              <label for="inputPassword" style="color:black;">Password</label>
                                              <div class="valid-feedback">
                                                  Looks good!
                                              </div>
                                            </div>
                                          </div>
                                    </div>
                                    <div id="error-msg" style="color:red;"></div>
                                    </br>
                                    <div class="col-12">
                                        <button class="btn btn-lg btn-outline-light" type="submit">Login</button>
                                        
                                        
                                    </div>
                                    
                                </form>
                                </br></br>
                                <button class="btn btn-outline-dark" onclick="window.location.href='./new-account.html'">Create New Account</button>

							</div>

						</div>

					</div>

				</div>

			</div>
			<!--/.Mask-->

		</header>
		<!--Main Navigation-->
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
		<script src='login.js'></script>
        <script src="server-requests.js"></script>
	</body>
</html>